> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Wallet ID本人確認API

> DiditでGoogle Wallet IDによる本人確認を自社アプリケーションに連携。対応国、認証ステップ、結果、料金を確認できます。

アプリケーションのAPIキーを使用して、バックエンドからGoogle Wallet IDによる本人確認を開始します。
ワークフローや`workflow_id`は不要です。
開始時のレスポンスは次に行う認証アクションを示すものであり、承認済みの本人確認結果ではありません。

## 対応範囲と有効化

| プロパティ | 値 |
| - | - |
| ウォレット | Google Wallet ID |
| ウォレットID | `google_wallet` |
| 対応国 | ![](https://didit-public-assets.s3.eu-west-1.amazonaws.com/flags/us.svg)アメリカ合衆国、![](https://didit-public-assets.s3.eu-west-1.amazonaws.com/flags/gb.svg)イギリス、![](https://didit-public-assets.s3.eu-west-1.amazonaws.com/flags/br.svg)ブラジル、![](https://didit-public-assets.s3.eu-west-1.amazonaws.com/flags/sg.svg)シンガポール、![](https://didit-public-assets.s3.eu-west-1.amazonaws.com/flags/tw.svg)台湾 |
| 本番環境でのウォレット有効化 | ⏳ 近日提供予定 |
| 公開されているウォレット料金 | 完了した認証1件あたり\$0.20 |

ウォレットの有効化は、APIのデプロイやアプリケーションの利用資格とは別に行われます。
エンドポイントがドキュメントに記載されていても、近日提供予定と表示されているウォレットが有効になるわけではありません。
最新の公開料金については、[デジタルIDウォレットの料金](https://docs.didit.me/ja/getting-started/pricing.md#デジタルidウォレットの料金)をご覧ください。

## 本人が行う操作

ページまたはアプリがGoogle Walletに直接リクエストします。リダイレクトやDidit側でホストされるページはありません。
開始時に指定した`origin`上のユーザー操作の中で`next_action.digital_credentials.request`を`navigator.credentials.get({digital: request})`に渡すか、Android Credential Managerに`GetDigitalCredentialOption`として渡します。
その後、ウォレットから返された内容を[ウォレットのレスポンスを送信](https://docs.didit.me/ja/standalone-apis/digital-id-wallet-response.md)に送信します。
ウォレットが別のデバイスにある場合は、ブラウザが独自のQRコードを表示します。

## 結果を受け取る

[デジタルIDウォレットAPIガイド](https://docs.didit.me/ja/standalone-apis/digital-id-wallets.md)に従って、認証の進行状況を追跡し、結果を取得します。
ウォレットが本人を認証した証拠として扱えるのは、完了し検証済みとなった結果のみです。
返される本人情報の属性はウォレットによって異なります。住所、顔写真、またはリクエストしたすべての属性が含まれているとは想定しないでください。

## 関連情報

* [デジタルIDウォレットAPI](https://docs.didit.me/ja/standalone-apis/digital-id-wallets.md)
* [ウォレットの対応範囲と属性](https://docs.didit.me/ja/core-technology/id-verification/digital-id-wallets.md)
* [料金](https://docs.didit.me/ja/getting-started/pricing.md#デジタルidウォレットの料金)


## OpenAPI

````yaml ja/openapi-25.json POST /v3/id-verification/wallets/google-wallet/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: 本人確認API。x-api-keyヘッダーで認証します。
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/id-verification/wallets/google-wallet/:
    post:
      tags:
        - Digital ID wallets
      summary: Google Wallet認証を開始
      description: >-
        ワークフローを使わずにGoogle Walletのサインイン(Google Wallet (ID pass)および米国の州発行者
        (モバイル運転免許証)、USA、GBR、BRA、SGP、TWN)を開始します。本人確認が完了した場合にのみ、1回だけ課金されます。レスポンスにはnext_action.type=request_digital_credentialと、Diditがお客様のアプリケーション向けに署名したリクエストが含まれます。このリクエストはoriginからのみ使用できます。そのorigin上のユーザー操作内で、next_action.digital_credentials.requestをnavigator.credentials.get({digital:
        ...})に渡し(またはAndroid Credential
        ManagerにGetDigitalCredentialOptionのrequestJsonとして渡し)、ウォレットが返した内容を/v3/id-verification/wallets/verifications/{request_id}/response/にPOSTします。ウォレットが別のデバイスにある場合は、ブラウザが独自のQRコードを表示します。サンドボックスのアプリケーションでは、プロバイダーに一切接続しない決定的なシミュレーション(simulated:
        true)が実行されます。
      operationId: start_google_wallet_wallet_verification
      parameters:
        - in: header
          name: Idempotency-Key
          schema:
            type: string
          description: >-
            任意の再試行安全キーです（最大255文字）。同じキー、ウォレット、リクエストボディで再試行すると、2回目のサインインを開始せずに元の検証結果が返されます。同じキーで別のウォレットまたはリクエストボディを指定すると、409
            idempotency_key_reusedが返されます。
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/DigitalIdWalletApiGoogleWalletWalletVerificationStartRequest
            example:
              country: USA
              vendor_data: your-customer-reference
              metadata:
                reference: example
              origin: https://app.example.com
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/DigitalIdWalletApiGoogleWalletWalletVerificationStartRequest
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/DigitalIdWalletApiGoogleWalletWalletVerificationStartRequest
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiWalletVerificationResponse
              example:
                request_id: 00000000-0000-4000-8000-000000000001
                wallet_verification:
                  wallet:
                    id: google_wallet
                    name: Google Wallet
                    issuing_authority: >-
                      Google Wallet (ID pass) and US state issuers (mobile
                      driving licence)
                  country: USA
                  status: Not Finished
                  outcome: pending
                  error: null
                  interaction: digital_credentials
                  simulated: false
                  expires_at: '2026-01-01T10:10:00Z'
                  next_action:
                    type: request_digital_credential
                    digital_credentials:
                      protocol: openid4vp-v1-signed
                      request:
                        requests:
                          - protocol: openid4vp-v1-signed
                            data:
                              request: <compact JWS signed by Didit>
                  identity: null
                  attributes: null
                  level_of_assurance: null
                  verified_at: null
                  signature_valid: null
                  credential_type: person_identification
                vendor_data: your-customer-reference
                metadata:
                  reference: example
                created_at: '2026-01-01T10:00:00Z'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiWalletVerificationStartBadRequest
          description: >-
            フィールドのバリデーションエラー({field:
            [messages]})、またはエラーreturn_url_invalid、return_url_not_allowed、origin_invalid、origin_not_allowed、invalid_personal_code、invalid_phone_number、idempotency_key_invalid。
        '403':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiWalletVerificationStartForbidden
          description: >-
            認証情報がありません（{detail}）。または、エラーwallet_unavailable、insufficient_creditsまたはcontract_rate_missingです。
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
          description: >-
            エラーidempotency_key_reusedまたはidempotency_key_in_progress（Retry-After付き）。
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
          description: エラーwallet_provider_unavailable：プロバイダーを開始できませんでした。何も作成されていません。
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
          description: エラーwallet_not_configured：この環境はウォレットに接続できません。
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request POST \
              --url https://verification.didit.me/v3/id-verification/wallets/google-wallet/ \
              --header 'x-api-key: YOUR_API_KEY' \
              --header 'Idempotency-Key: your-unique-attempt-key' \
              --header 'Content-Type: application/json' \
              --data '{
              "country": "USA",
              "vendor_data": "your-customer-reference",
              "metadata": {
                "reference": "example"
              },
              "origin": "https://app.example.com"
            }'
components:
  schemas:
    DigitalIdWalletApiGoogleWalletWalletVerificationStartRequest:
      type: object
      description: Google Wallet認証を開始します(USA、GBR、BRA、SGP、TWN)。
      properties:
        vendor_data:
          type: string
          nullable: true
          description: この認証に対するお客様独自の参照値です（例：お客様のユーザーID）。結果とWebhookで返されます。
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
          description: 認証とともに保存され、結果とWebhookで返される任意のJSONオブジェクトです。
        sandbox_scenario:
          type: string
          minLength: 1
          description: >-
            サンドボックスアプリケーション専用：シミュレートする結果です。'wallet_cancelled'、'wallet_timeout'、'wallet_provider_error'のいずれかを指定し、それ以外のシナリオ（または指定なし）は検証済みになります。本番アプリケーションでは拒否されます。全カタログはGET
            /v1/sandbox/scenarios/で確認できます。
        country:
          allOf:
            - $ref: >-
                #/components/schemas/DigitalIdWalletApiGoogleWalletWalletVerificationStartCountryEnum
          description: |-
            Google Wallet IDの国を示すISO 3166-1 alpha-3コード。

            * `USA` - USA
            * `GBR` - GBR
            * `BRA` - BRA
            * `SGP` - SGP
            * `TWN` - TWN
        origin:
          type: string
          minLength: 1
          description: >-
            ページまたはアプリがウォレットに問い合わせる場所です。ページのhttpsオリジン（ホストがアプリケーションのallowed_return_hostsに含まれているか、ホワイトラベルドメインである必要があります。例:
            https://app.example.com）、またはandroid:apk-key-hash:<アプリ署名証明書のSHA-256をbase64化した値、パディングなし>を指定します。それ以外の場所からのリクエストはウォレットが拒否します。
          maxLength: 256
      required:
        - country
        - origin
    DigitalIdWalletApiWalletVerificationResponse:
      type: object
      description: すべてのウォレットエンドポイントが返す形式の、単独のウォレット検証1件です。
      properties:
        request_id:
          type: string
          format: uuid
        wallet_verification:
          $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationResult'
        vendor_data:
          type: string
          nullable: true
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
          description: 開始時に送信されたmetadataオブジェクト、またはnullです。
        created_at:
          type: string
          format: date-time
      required:
        - created_at
        - metadata
        - request_id
        - vendor_data
        - wallet_verification
    DigitalIdWalletApiWalletVerificationStartBadRequest:
      oneOf:
        - $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
        - $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationFieldErrors'
    DigitalIdWalletApiWalletVerificationStartForbidden:
      oneOf:
        - $ref: >-
            #/components/schemas/DigitalIdWalletApiClientCredentialsForbiddenErrorMessage
        - $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
    DigitalIdWalletApiWalletVerificationError:
      type: object
      properties:
        error:
          type: string
          description: '安定した機械可読コード（例: wallet_unavailable）。'
        detail:
          type: string
      required:
        - detail
        - error
    DigitalIdWalletApiGoogleWalletWalletVerificationStartCountryEnum:
      enum:
        - USA
        - GBR
        - BRA
        - SGP
        - TWN
      type: string
      description: |-
        * `USA` - USA
        * `GBR` - GBR
        * `BRA` - BRA
        * `SGP` - SGP
        * `TWN` - TWN
    DigitalIdWalletApiWalletVerificationResult:
      type: object
      properties:
        wallet:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWallet'
          readOnly: true
        country:
          type: string
        status:
          type: string
          description: 保留中はNot Finished、その後Approved（認証済み）またはDeclinedになります。
        outcome:
          $ref: >-
            #/components/schemas/DigitalIdWalletApiWalletVerificationResultOutcomeEnum
        error:
          type: string
          nullable: true
          readOnly: true
        interaction:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiInteractionEnum'
          readOnly: true
        simulated:
          type: boolean
          readOnly: true
        expires_at:
          type: string
          format: date-time
        next_action:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletNextAction'
          nullable: true
          readOnly: true
        identity:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletIdentity'
          nullable: true
          readOnly: true
        attributes:
          type: object
          additionalProperties: {}
          nullable: true
          readOnly: true
        level_of_assurance:
          type: string
          nullable: true
        verified_at:
          type: string
          format: date-time
          nullable: true
        signature_valid:
          type: boolean
          nullable: true
          description: クレデンシャルの署名が検証されるとtrue、シミュレートされたものの場合はnull。
        credential_type:
          type: string
          nullable: true
      required:
        - attributes
        - country
        - credential_type
        - error
        - expires_at
        - identity
        - interaction
        - level_of_assurance
        - next_action
        - outcome
        - signature_valid
        - simulated
        - status
        - verified_at
        - wallet
    DigitalIdWalletApiWalletVerificationFieldErrors:
      type: object
      description: リクエストのバリデーションエラー：拒否された各フィールドとそのメッセージ。
      additionalProperties:
        type: array
        items:
          type: string
    DigitalIdWalletApiClientCredentialsForbiddenErrorMessage:
      type: object
      properties:
        detail:
          type: string
          default: Forbidden - User doesn't have permission
    DigitalIdWalletApiWallet:
      type: object
      properties:
        id:
          type: string
          description: 'ウォレットのカタログID（例: bankid_se）。'
        name:
          type: string
        issuing_authority:
          type: string
          nullable: true
      required:
        - id
        - issuing_authority
        - name
    DigitalIdWalletApiWalletVerificationResultOutcomeEnum:
      enum:
        - pending
        - verified
        - cancelled
        - timeout
        - failed
      type: string
      description: |-
        * `pending` - 保留中
        * `verified` - 検証済み
        * `cancelled` - ユーザーによりキャンセル
        * `timeout` - タイムアウト
        * `failed` - 失敗
    DigitalIdWalletApiInteractionEnum:
      enum:
        - redirect
        - in_app
        - digital_credentials
      type: string
      description: |-
        * `redirect` - redirect
        * `in_app` - in_app
        * `digital_credentials` - digital_credentials
    DigitalIdWalletApiWalletNextAction:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletNextActionTypeEnum'
          description: >-
            redirect：ユーザーのブラウザをurlに遷移させます。confirm_in_app：verification_codeをユーザーに表示します。ユーザーはそれがウォレットアプリ内のコードと一致することを確認し、ウォレットアプリで承認します。その後、ポーリングしてください。request_digital_credential：開始時と同じオリジン上で、ユーザー操作の中でdigital_credentials.requestを使ってウォレットにリクエストし、返された内容をPOST
            .../verifications/{request_id}/response/に送信します。


            * `redirect` - redirect

            * `confirm_in_app` - confirm_in_app

            * `request_digital_credential` - request_digital_credential
        url:
          type: string
          format: uri
          description: redirectのみ：ユーザーがウォレットでサインインする場所。
        digital_credentials:
          allOf:
            - $ref: >-
                #/components/schemas/DigitalIdWalletApiWalletDigitalCredentialsRequest
          description: request_digital_credentialのみ：ウォレットに渡すリクエスト。
        verification_code:
          type: string
          description: confirm_in_appのみ：ウォレットアプリにも表示される4桁の照合コード。
        poll_interval_seconds:
          type: integer
          description: >-
            confirm_in_appのみ：迅速なフィードバックを得るためにPOST
            .../verifications/{request_id}/poll/を呼び出す間隔。Diditは保留中のサインインもバックグラウンドでポーリングするため、ポーリングしない場合でもWebhookが結果を通知します。
      required:
        - type
    DigitalIdWalletApiWalletIdentity:
      type: object
      properties:
        full_name:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        date_of_birth:
          type: string
          format: date
          nullable: true
        nationality:
          type: string
          nullable: true
          description: ISO3形式の国籍。ウォレットが国籍を示している場合のみ返されます（推測されることはありません）。
        issuing_state:
          type: string
          description: IDを発行したスキームの国を示すISO3コード。
      required:
        - date_of_birth
        - first_name
        - full_name
        - issuing_state
        - last_name
        - nationality
    DigitalIdWalletApiWalletNextActionTypeEnum:
      enum:
        - redirect
        - confirm_in_app
        - request_digital_credential
      type: string
      description: |-
        * `redirect` - redirect
        * `confirm_in_app` - confirm_in_app
        * `request_digital_credential` - request_digital_credential
    DigitalIdWalletApiWalletDigitalCredentialsRequest:
      type: object
      properties:
        protocol:
          type: string
          description: openid4vp-v1-signed。
        request:
          type: object
          additionalProperties: {}
          description: >-
            そのまま渡してください。ブラウザではnavigator.credentials.get({digital:
            request})、AndroidではGetDigitalCredentialOptionのrequestJsonとしてJSON.stringify(request)を使用します。Diditがお客様のアプリケーション向けに署名しています。
      required:
        - protocol
        - request
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        お客様のアプリケーションのAPIキーです。Business ConsoleのDevelopers -> API
        keysで取得できます。プライマリキーはフルアクセス権を持ちます。名前付きキーにはスコープを設定できます。リソースごとのアクセス権（なし、読み取り、書き込み）、一部のワークフローまたは承認済みセッションへの限定、IPアドレスのリストへの限定、有効期限の設定です。401は、キーが誤っている、失効している、または期限切れであることを意味します。403は、キーが送信されていない、キーにこのリソースやアクションへのアクセス権がない、またはIPリスト外のアドレスからリクエストが送信されたことを意味します。セッションのルートでの404は、セッションがキーのワークフローまたはステータスの対象外であることを意味します。メディアへのアクセス権がないキーでは、画像、動画、PDFのURLがnullで返されます。セッションの書き込み権限がないキーでは、セッションのリンクとトークンがnullで返されます。詳細は次を参照してください:
        https://docs.didit.me/console/api-keys
    BearerAuth:
      type: http
      scheme: bearer
      description: アプリケーションのクライアントクレデンシャルのアクセストークン。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.